<nz-breadcrumb>
    <nz-breadcrumb-item>组织管理</nz-breadcrumb-item>
    <nz-breadcrumb-item>角色列表</nz-breadcrumb-item>
</nz-breadcrumb>

<div class="actionbar">
    <app-input label="关键字" [(value)]="query" (enter)="search()"></app-input>
    <app-department-select [(value)]="queryDepartmentID" style="margin-left: 5px;"></app-department-select>
    <button nz-button style="margin-left: 10px;" [nzLoading]="loading" (click)="search()">
        <i nz-icon nzType="search" nzTheme="outline"></i>
    </button>

    <div style="float: right;">
      <button nz-button (click)="showNewModal()" *ngIf="perms['org.role.create']">新建</button>
    </div>
</div>

<div class="content">
    <nz-table nzBordered #basicTable [nzData]="roles" [nzTotal]="total" [(nzPageIndex)]="page" [(nzPageSize)]="pageSize"
    [nzLoading]="loading" [nzShowSizeChanger]="true" [nzFrontPagination]="false" nzSize="small"
    (nzPageIndexChange)="onPageChange()" (nzPageSizeChange)="onPageChange()" [nzShowTotal]="totalTemplate">
    <thead>
      <tr>
        <th>序号</th>
        <th>名字</th>
        <th>部门</th>
        <th>创建人</th>
        <th>创建时间</th>
        <th>操作</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let data of basicTable.data;let i=index">
        <td>{{(page-1)*pageSize+i+1}}</td>
        <td>{{data.name}}</td>
        <td>{{data.department?.name}}</td>
        <td>
            <app-staff-label [id]="data.created_by"></app-staff-label>
        </td>
        <td>
            <app-datetime [text]="data.created_at"></app-datetime>
        </td>
        <td>
          <a nz-dropdown [nzDropdownMenu]="menu">
            <i nz-icon nzType="menu" nzTheme="outline"></i>
          </a>
          <nz-dropdown-menu #menu="nzDropdownMenu">
            <ul nz-menu style="min-width: 100px;">
              <li nz-menu-item (click)="showUpdateModal(data)" *ngIf="perms['org.role.update']">编辑</li>
              <li nz-menu-item (click)="showUpdatePermissionModal(data)" *ngIf="perms['org.role.set-permissions']">权限</li>
            </ul>
          </nz-dropdown-menu>
        </td>
      </tr>
    </tbody>
  </nz-table>
  <ng-template #totalTemplate let-range="range" let-total>
    总计：{{total}}
  </ng-template>
</div>

<app-update-role-modal [(isVisible)]="isUpdateModalVisible" [data]="updateData" (update)="findRoles()"></app-update-role-modal>
<app-update-role-permission-modal [(isVisible)]="isPermissionModalVisible" [roleID]="permissionData.id"></app-update-role-permission-modal>